package com.kingdee.eas.custom.certification;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class AutoGenCertificationFactory
{
    private AutoGenCertificationFactory()
    {
    }
    public static com.kingdee.eas.custom.certification.IAutoGenCertification getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.certification.IAutoGenCertification)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("3ACD59E5") ,com.kingdee.eas.custom.certification.IAutoGenCertification.class);
    }
    
    public static com.kingdee.eas.custom.certification.IAutoGenCertification getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.certification.IAutoGenCertification)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("3ACD59E5") ,com.kingdee.eas.custom.certification.IAutoGenCertification.class, objectCtx);
    }
    public static com.kingdee.eas.custom.certification.IAutoGenCertification getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.certification.IAutoGenCertification)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("3ACD59E5"));
    }
    public static com.kingdee.eas.custom.certification.IAutoGenCertification getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.certification.IAutoGenCertification)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("3ACD59E5"));
    }
}